/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增产业园区 POST /api/IndustrialPark/AddIndustrialPark */
export async function addIndustrialPark(
  body: API.AddIndustrialParkInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustrialPark/AddIndustrialPark', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取产业园区信息详情 POST /api/IndustrialPark/GetIndustrialParkDetail */
export async function getIndustrialParkDetail(
  body: API.QueryIndustrialParkDetailInput,
  options?: API.RequestConfig
) {
  return request<API.IndustrialParkDetailOutput>('/api/IndustrialPark/GetIndustrialParkDetail', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取产业园区下拉列表数据 GET /api/IndustrialPark/GetIndustrialParkDropDownList */
export async function getIndustrialParkDropDownList(options?: API.RequestConfig) {
  return request<API.IndustrialParkDropDownOutput[]>(
    '/api/IndustrialPark/GetIndustrialParkDropDownList',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}

/** 获取产业园区分页列表 POST /api/IndustrialPark/GetIndustrialParkPage */
export async function getIndustrialParkPage(
  body: API.QueryIndustrialParkListInput,
  options?: API.RequestConfig
) {
  return request<API.IndustrialParkListOutputPageOutput>(
    '/api/IndustrialPark/GetIndustrialParkPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 设置产业园区状态 POST /api/IndustrialPark/SetIndustrialParkStatus */
export async function setIndustrialParkStatus(
  body: API.SetIndustrialParkStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustrialPark/SetIndustrialParkStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新产业园区 POST /api/IndustrialPark/UpdateIndustrialPark */
export async function updateIndustrialPark(
  body: API.UpdateIndustrialParkInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/IndustrialPark/UpdateIndustrialPark', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
